Job Offers for django
=====================

Installation
------------

Add ``job_offer`` to your ``INSTALLED_APPS``.

Settings
--------

``JOB_OFFER_HELPERS_MODULE`` is a python path to a importable python module. It
can define two subclasses of ``FormHelper``. This classes will override the
helpers used for the views.

``JOB_OFFER_FROM_EMAIL`` is an email. Emails sent from the application about
job offers use this email as the from address.


``JOB_OFFER_ADMIN_EMAILS`` is a list of emails. Job applications are sent to
this list of emails.

``JOB_OFFER_RELATED_OBJECTS`` is a list of strings. When this list exists and
is not empty, only the related objects with the name in this list are enabled.
Disabled related objects are not proposed in the admin, nor are they valid
choices in the form. Existing objects are still linked and continue to exist.

``JOB_OFFER_RELATED_OBJECTS_REQUIRED`` is a list of strings. When this list
exist it defines the related objects that are required by the admin form.

``JOB_OFFER_JOB_SERIALIZER`` is the python path to the serializer class used by
the Indeed compatible XML feed.
